Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class ValidatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  javax.portlet.ValidatorException

All Implemented Interfaces
  Serializable

    public class ValidatorException

extends PortletException

The `ValidatorException` is thrown by the `validate` method of a PreferencesValidator when the validation of a preference failed.

See Also
  Serialized Form

Constructor Summary
`ValidatorException(String text, Collection<String> failedKeys)` Constructs a new validator exception with the given text.
`ValidatorException(String text, Throwable cause, Collection<String> failedKeys)` Constructs a new portlet validator exception.
`ValidatorException(Throwable cause, Collection<String> failedKeys)` Constructs a new portlet validator exception when the portlet needs to throw an exception.

Method Summary
`Enumeration<String>` | `getFailedKeys()` Returns the keys that failed the validation.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidatorException

    public ValidatorException(String text,
                              Collection<String> failedKeys)

  Constructs a new validator exception with the given text. The portlet container may use the text write it to a log.

  The collection of failed keys may contain all failed keys, only the first key that failed validation, or may be `null`.

  Parameters
    `text` - the exception text
    `failedKeys` - keys that failed the validation; may be `null`

### ValidatorException

    public ValidatorException(String text,
                              Throwable cause,
                              Collection<String> failedKeys)

  Constructs a new portlet validator exception. Used, when the portlet needs to do one of the following:
  - throw an exception
  - include a message about the "root cause" that interfered with its normal operation
  - include a description message

  The Collection of failed keys may contain all failed keys, only the first key that failed validation, or may be `null`.

  Parameters
    `text` - the exception text
    `cause` - the root cause
    `failedKeys` - keys that failed the validation; may be `null`

### ValidatorException

    public ValidatorException(Throwable cause,
                              Collection<String> failedKeys)

  Constructs a new portlet validator exception when the portlet needs to throw an exception. The exception message is based on the localized message of the underlying exception.

  The Collection of failed keys may contain all failed keys, only the first key that failed validation, or may be `null`.

  Parameters
    `cause` - the root cause
    `failedKeys` - keys that failed the validation; may be `null`

Method Detail

### getFailedKeys

    public Enumeration<String> getFailedKeys()

  Returns the keys that failed the validation.

  The Enumeration of failed keys may contain all failed keys, only the first key that failed validation, or an empty `Enumeration` if no failed keys are available.

  Returns
    the keys that failed validation, or an empty `Enumeration` if no failed keys are available.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.